> For the complete documentation index, see [llms.txt](https://docs.buzzy.buzz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.buzzy.buzz/developing-and-extending-buzzy/buzzy-rest-api/rest-api/createappwithprompt.md).

# createappwithprompt

### description

Creates a new application from a prompt.

### headers

* standard headers including ``X-Auth-Token` and X-Auth-User-Id``
* x-api-key\` : "\<your api key>" //provided by Buzzy

### parameters

```javascript
{

    "userEmail":"<valid email address>", // will becoe the "owner" of the applicai
    "appPrompt":"<text prompt describing your application>"
	
}
```

```
curl --location 'https://<buzzy api server>/api/createappwithprompt' \
--header 'X-Auth-Token: <user's token>' \
--header 'X-User-Id: <userid>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <your api key>' \
--data-raw '{

    "userEmail":"<valid email address>", 
    "appPrompt":"create a task tracking  app. Make the title of the '\''task app <current date/time>'\'', replacing  <current date/time> with the current timestamp"
	
}'
```

#### response

```
string representing a link to the application in the Buzzy Workspace 
```

for example `https://<buzzy server url>/workspace/apps/<appid>`

***

If you want to you generate a link to the final application, for example \`https\://\<buzzy server url>/app/\<appid> `then extract the <appid>`response. Note it's expected that the intial prompt will get you to a starting point, and will probably require the AI Chat to continue enhancing the application.
